package cn.javacoder.testoom.controller;

import java.io.IOException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Level;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.DispatcherServlet;

import cn.javacoder.testoom.service.TestService;

@Controller
public class TestController {
	
	@Autowired
	private TestService testService;
	
	@RequestMapping("test")
	public void main(HttpServletRequest request, HttpServletResponse response, DispatcherServlet servlet) {
		try {
			//Logger logger = Logger.getLogger("cn.javacoder.testoom.mapper");
			//logger.setLevel(Level.TRACE);

			response.getWriter().write(testService.getString());
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
