package cn.javacoder.testoom.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.fasterxml.jackson.databind.ObjectMapper;

import cn.javacoder.testoom.mapper.TestMapper;

@Component
public class TestService {

	@Autowired
	private TestMapper testMapper;

	public String getString() {
		List<Map<String, Object>> resultSet = testMapper.select(null);
		ObjectMapper mapper = new ObjectMapper();
		try {
			return mapper.writeValueAsString(resultSet);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
}
